toolzerhub API Docs

Get Google News topic headlines (v1)

Returns the latest articles of one Google News section, such as BUSINESS or TECHNOLOGY, in the edition chosen by language and country.

1 credit / requestBilled only on success
GET
/v1/google-news/topic

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

topic*string

Google News section.

Value in

  • "WORLD"
  • "NATION"
  • "BUSINESS"
  • "TECHNOLOGY"
  • "ENTERTAINMENT"
  • "SPORTS"
  • "SCIENCE"
  • "HEALTH"
language?string

Language of the edition, as a two-letter code such as en, de or ja.

Match^[a-z]{2,3}$
Default"en"
country?string

Country of the edition, as a two-letter code such as US, GB or DE.

Match^[A-Z]{2}$
Default"US"
limit?integer

Most articles to return, 1 to 100. With resolve_links the maximum is 20.

Range1 <= value <= 100
Default100
curl -X GET "https://example.com/v1/google-news/topic?topic=TECHNOLOGY" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "query": "string",    "when": "string",    "topic": "string",    "location": "string",    "language": "string",    "country": "string",    "feed_title": "string",    "count": 0,    "links_resolved": true,    "articles": [      {        "title": "string",        "link": "string",        "article_id": "string",        "url": "string",        "published_at": "string",        "source": {          "name": "string",          "url": "string"        },        "related": [          {            "title": "string",            "link": "string",            "article_id": "string",            "source": "string"          }        ]      }    ]  },  "details": {    "reason": "string",    "message": "string"  }}